/**
 * Inspired by :
 * - https://github.com/angular/universal/blob/1916fec006191d63bb8b923f04179f056e39dc60/modules/module-map-ngfactory-loader/src/module-map-ngfactory-loader.ts
 * - https://github.com/Greentube/localize-router/blob/master/src/localize-router-config-loader.ts
 */
import { NgModuleFactoryLoader, NgModuleFactory, Compiler } from '@angular/core';
import { ModuleMap } from '@nguniversal/module-map-ngfactory-loader/src/module-map';
import { LocalizeParser } from 'localize-router';
/**
 * NgModuleFactoryLoader which does not lazy load
 */
export declare class LazyUniversalModuleLoader implements NgModuleFactoryLoader {
    private localize;
    private compiler;
    private moduleMap;
    constructor(localize: LocalizeParser, compiler: Compiler, moduleMap: ModuleMap);
    load(loadChildrenString: string): Promise<NgModuleFactory<any>>;
    private loadFactory;
    private loadAndCompile;
    private localizeFactory;
}
